Create Transfer Order¶
This endpoint only supports transfers between internal Oasis balance accounts and Buffer accounts (two types of transfers are supported: from a balance account to a Buffer account, or from a Buffer account to a balance account).
Endpoint¶
Request Parameters¶
Body Parameters¶
| Field | Type | Description |
|---|---|---|
| orderNo Required | String | Order ID to uniquely identify the transaction. Max length 64 characters (custom order number, supports uppercase/lowercase letters, numbers, underscores, dashes) |
| currency Required | String | Currency type. Only Oasis supported tokens are allowed. Allowed Value: Refer to the Coin Name (API) column for tokens where Oasis Account is set to Yes in the Supported Token list. |
| amount Required | String | Amount |
| fromAccountId Required | String | Transfer-out account ID |
| toAccountId Required | String | Transfer-in account ID |
Request Example¶
{
"orderNo" : "TX_0025100100001",
"currency": "USDT",
"amount": "100.123456",
"fromAccountId": "1000002",
"toAccountId": "1000008"
}
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code |
| message | String | Response message |
| successful | Boolean | If the request is successful |
| data | String | Order number as declared in the request parameter |